//  Copyright (c) 2012-2013 Thomas Heller
//
//  SPDX-License-Identifier: BSL-1.0
//  Distributed under the Boost Software License, Version 1.0. (See accompanying
//  file LICENSE_1_0.txt or copy at http://www.boost.org/LICENSE_1_0.txt)

// Do not edit this file! It has been generated by the cmake configuration step.

#if !defined(HPX_CONFIG_DEFINES_HPP)
#define HPX_CONFIG_DEFINES_HPP

#if !defined(HPX_PREFIX)
#define HPX_PREFIX ""
#endif

#define HPX_COROUTINE_NO_SEPARATE_CALL_SITES
#define HPX_HAVE_ABP_SCHEDULER
#define HPX_HAVE_ACTION_BASE_COMPATIBILITY
#define HPX_HAVE_AUTOMATIC_SERIALIZATION_REGISTRATION
#define HPX_HAVE_COROUTINE_GCC_HIDDEN_VISIBILITY
#define HPX_HAVE_CXX11_ALIGNAS
#define HPX_HAVE_CXX11_CONSTEXPR
#define HPX_HAVE_CXX11_EXPLICIT_VARIADIC_TEMPLATES
#define HPX_HAVE_CXX11_EXTENDED_FRIEND_DECLARATIONS
#define HPX_HAVE_CXX11_NORETURN_ATTRIBUTE
#define HPX_HAVE_CXX11_NSDMI
#define HPX_HAVE_CXX11_SFINAE_EXPRESSION
#define HPX_HAVE_CXX11_SHARED_PTR_LWG3018
#define HPX_HAVE_CXX11_STD_ATOMIC_128BIT
#define HPX_HAVE_CXX11_STD_IS_BIND_EXPRESSION
#define HPX_HAVE_CXX11_STD_IS_PLACEHOLDER
#define HPX_HAVE_CXX11_STD_IS_TRIVIALLY_COPYABLE
#define HPX_HAVE_CXX11_STD_QUICK_EXIT
#define HPX_HAVE_CXX11_STD_RANDOM
#define HPX_HAVE_CXX11_STD_SHUFFLE
#define HPX_HAVE_CXX11_STD_THREAD
#define HPX_HAVE_CXX11_THREAD_LOCAL
#if __cplusplus >= 201402
#define HPX_HAVE_CXX14_CONSTEXPR
#endif
#if __cplusplus >= 201402
#define HPX_HAVE_CXX14_DEPRECATED_ATTRIBUTE
#endif
#if __cplusplus >= 201402
#define HPX_HAVE_CXX14_LAMBDAS
#endif
#if __cplusplus >= 201402
#define HPX_HAVE_CXX14_RETURN_TYPE_DEDUCTION
#endif
#if __cplusplus >= 201402
#define HPX_HAVE_CXX14_STD_INTEGER_SEQUENCE
#endif
#if __cplusplus >= 201402
#define HPX_HAVE_CXX14_STD_IS_FINAL
#endif
#if __cplusplus >= 201402
#define HPX_HAVE_CXX14_STD_IS_NULL_POINTER
#endif
#if __cplusplus >= 201402
#define HPX_HAVE_CXX14_STD_RESULT_OF_SFINAE
#endif
#if __cplusplus >= 201402
#define HPX_HAVE_CXX14_VARIABLE_TEMPLATES
#endif
#if __cplusplus >= 201500
#define HPX_HAVE_CXX17_ALIGNED_NEW
#endif
#if __cplusplus >= 201500
#define HPX_HAVE_CXX17_FALLTHROUGH_ATTRIBUTE
#endif
#if __cplusplus >= 201500
#define HPX_HAVE_CXX17_FILESYSTEM
#endif
#if __cplusplus >= 201500
#define HPX_HAVE_CXX17_FOLD_EXPRESSIONS
#endif
#if __cplusplus >= 201500
#define HPX_HAVE_CXX17_IF_CONSTEXPR
#endif
#if __cplusplus >= 201500
#define HPX_HAVE_CXX17_NOEXCEPT_FUNCTIONS_AS_NONTYPE_TEMPLATE_ARGUMENTS
#endif
#if __cplusplus >= 201500
#define HPX_HAVE_CXX17_STD_IN_PLACE_TYPE_T
#endif
#if __cplusplus >= 201500
#define HPX_HAVE_CXX17_STRUCTURED_BINDINGS
#endif
#define HPX_HAVE_DEPRECATION_WARNINGS
#define HPX_HAVE_ELF_HIDDEN_VISIBILITY
#define HPX_HAVE_GIT_COMMIT "unknown"
#define HPX_HAVE_IO_COUNTERS
#define HPX_HAVE_IO_POOL
#define HPX_HAVE_LOCAL_SCHEDULER
#define HPX_HAVE_LOGGING
#define HPX_HAVE_MALLOC "tcmalloc"
#define HPX_HAVE_MAX_CPU_COUNT 64
#define HPX_HAVE_MAX_NUMA_DOMAIN_COUNT 8
#define HPX_HAVE_NATIVE_TLS
#define HPX_HAVE_NETWORKING
#define HPX_HAVE_PARCELPORT_TCP
#define HPX_HAVE_PARCEL_COALESCING
#define HPX_HAVE_PLUGIN_GCC_HIDDEN_VISIBILITY
#define HPX_HAVE_REGISTER_THREAD_COMPATIBILITY
#define HPX_HAVE_SHARED_PRIORITY_SCHEDULER
#define HPX_HAVE_SPINLOCK_POOL_NUM 128
#define HPX_HAVE_STABLE_INPLACE_MERGE
#define HPX_HAVE_STACKTRACES
#define HPX_HAVE_STATIC_PRIORITY_SCHEDULER
#define HPX_HAVE_STATIC_SCHEDULER
#define HPX_HAVE_THREAD_BACKTRACE_DEPTH 5
#define HPX_HAVE_THREAD_CUMULATIVE_COUNTS
#define HPX_HAVE_THREAD_GUARD_PAGE
#define HPX_HAVE_THREAD_MANAGER_IDLE_BACKOFF
#define HPX_HAVE_THREAD_STACK_MMAP
#define HPX_HAVE_TIMER_POOL
#define HPX_HAVE_TUPLE_RVALUE_SWAP
#define HPX_HAVE_UNISTD_H
#define HPX_ZERO_COPY_SERIALIZATION_THRESHOLD 128

#if !defined(BOOST_ALL_DYN_LINK)
#define BOOST_ALL_DYN_LINK
#endif
#if !defined(BOOST_BIGINT_HAS_NATIVE_INT64)
#define BOOST_BIGINT_HAS_NATIVE_INT64
#endif
#if !defined(BOOST_NO_AUTO_PTR)
#define BOOST_NO_AUTO_PTR
#endif
#if !defined(BOOST_RESULT_OF_USE_DECLTYPE)
#define BOOST_RESULT_OF_USE_DECLTYPE
#endif
#if !defined(HPX_HAVE_DYNAMIC_HPX_MAIN)
#define HPX_HAVE_DYNAMIC_HPX_MAIN 1
#endif

#if defined(HPX_HAVE_MAX_CPU_COUNT) && (HPX_HAVE_MAX_CPU_COUNT > 64) &&       \
    !defined(HPX_HAVE_MORE_THAN_64_THREADS)
#define HPX_HAVE_MORE_THAN_64_THREADS
#endif

#endif

