//  Copyright (c) 2019 STE||AR Group
//
//  SPDX-License-Identifier: BSL-1.0
//  Distributed under the Boost Software License, Version 1.0. (See accompanying
//  file LICENSE_1_0.txt or copy at http://www.boost.org/LICENSE_1_0.txt)

// Do not edit this file! It has been generated by the cmake configuration step.

#ifndef HPX_EXECUTION_HPP
#define HPX_EXECUTION_HPP

#include <hpx/parallel/algorithms/detail/is_negative.hpp>
#include <hpx/parallel/algorithms/detail/predicates.hpp>
#include <hpx/parallel/datapar/execution_policy_fwd.hpp>
#include <hpx/parallel/datapar/execution_policy.hpp>
#include <hpx/parallel/exception_list.hpp>
#include <hpx/parallel/execution.hpp>
#include <hpx/parallel/execution_policy_fwd.hpp>
#include <hpx/parallel/execution_policy.hpp>
#include <hpx/parallel/executor_parameters.hpp>
#include <hpx/parallel/executors/auto_chunk_size.hpp>
#include <hpx/parallel/executors/default_executor.hpp>
#include <hpx/parallel/executors/distribution_policy_executor.hpp>
#include <hpx/parallel/executors/dynamic_chunk_size.hpp>
#include <hpx/parallel/executors/execution_fwd.hpp>
#include <hpx/parallel/executors/execution.hpp>
#include <hpx/parallel/executors/execution_information_fwd.hpp>
#include <hpx/parallel/executors/execution_information.hpp>
#include <hpx/parallel/executors/execution_parameters_fwd.hpp>
#include <hpx/parallel/executors/execution_parameters.hpp>
#include <hpx/parallel/executors/fused_bulk_execute.hpp>
#include <hpx/parallel/executors/guided_chunk_size.hpp>
#include <hpx/parallel/executors.hpp>
#include <hpx/parallel/executors/parallel_executor_aggregated.hpp>
#include <hpx/parallel/executors/parallel_executor.hpp>
#include <hpx/parallel/executors/persistent_auto_chunk_size.hpp>
#include <hpx/parallel/executors/pool_executor.hpp>
#include <hpx/parallel/executors/post_policy_dispatch.hpp>
#include <hpx/parallel/executors/rebind_executor.hpp>
#include <hpx/parallel/executors/sequenced_executor.hpp>
#include <hpx/parallel/executors/service_executors.hpp>
#include <hpx/parallel/executors/static_chunk_size.hpp>
#include <hpx/parallel/executors/this_thread_executors.hpp>
#include <hpx/parallel/executors/thread_execution.hpp>
#include <hpx/parallel/executors/thread_execution_information.hpp>
#include <hpx/parallel/executors/thread_pool_attached_executors.hpp>
#include <hpx/parallel/executors/thread_pool_executors.hpp>
#include <hpx/parallel/executors/thread_pool_os_executors.hpp>
#include <hpx/parallel/executors/thread_timed_execution.hpp>
#include <hpx/parallel/executors/timed_execution_fwd.hpp>
#include <hpx/parallel/executors/timed_execution.hpp>
#include <hpx/parallel/executors/timed_executors.hpp>
#include <hpx/parallel/traits/detail/vc/vector_pack_alignment_size.hpp>
#include <hpx/parallel/traits/detail/vc/vector_pack_count_bits.hpp>
#include <hpx/parallel/traits/detail/vc/vector_pack_load_store.hpp>
#include <hpx/parallel/traits/detail/vc/vector_pack_type.hpp>
#include <hpx/parallel/traits/vector_pack_alignment_size.hpp>
#include <hpx/parallel/traits/vector_pack_count_bits.hpp>
#include <hpx/parallel/traits/vector_pack_load_store.hpp>
#include <hpx/parallel/traits/vector_pack_type.hpp>
#include <hpx/traits/executor_traits.hpp>
#include <hpx/traits/is_execution_policy.hpp>
#include <hpx/traits/is_executor.hpp>
#include <hpx/traits/is_executor_parameters.hpp>
#include <hpx/traits/is_timed_executor.hpp>

#endif
